package com.yihu.wlyy.entity.doctor.team.sign;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 三师团队/医生签约团队
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_doctor_team")
public class DoctorTeam extends IdEntity {
	private static final long serialVersionUID = 715817516721723210L;

	private String code;    // 组标识
	private String name;    // 组名
	private Date czrq;      // 更新时间
	private String del;     // 是否作废，1正常，0作废
	private String signType;//签约类型（1表示三师签约，2表示家庭签约）

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

	@Column(name = "sign_type")
	public String getSignType() {
		return signType;
	}

	public void setSignType(String signType) {
		this.signType = signType;
	}
}
